View Issue Details

IDProjectCategoryView StatusLast Update
14146Bug reports[All Projects] Statisticspublic2018-10-17 17:32
Reporterdoclorenzo Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.15.x 
Summary14146: Graphs in pdf not correctly displayed
Description

When producing bar graphs in pdf statistics, the bars are not always correctly displayed regarding the height of the bar.

I have attached two Graphs with corresponding statistics. For some reason one is displayed correctly, the other is not, eg even though the count is 5 - 1 - 3 the bars are shown as 5 - "0,7" - "2,6" but in the other where the count is 2 - 1 the bars are shown as 2 - 1

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.8+180829
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMariaDB
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP Version5.6.36

Activities

doclorenzo

doclorenzo

2018-10-15 11:05

reporter  

stat_example.pdf (121,717 bytes)
guest

guest

2018-10-16 15:39

viewer   ~49335

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28343

Related Changesets

LimeSurvey: master 62c144c3

2018-10-16 15:37:47

Dominik Vitt

Details Diff
Fixed issue 14146: Graphs in pdf not correctly displayed Affected Issues
14146
mod - application/third_party/pchart/pChart.class.php Diff File

Issue History

Date Modified Username Field Change
2018-10-15 11:05 doclorenzo New Issue
2018-10-15 11:05 doclorenzo File Added: stat_example.pdf
2018-10-16 15:39 Changeset attached => LimeSurvey master 62c144c3
2018-10-16 15:39 guest Note Added: 49335
2018-10-16 15:39 guest Resolution open => fixed
2018-10-16 15:39 dominikvitt Assigned To => dominikvitt
2018-10-16 15:39 dominikvitt Status new => resolved
2018-10-16 15:39 dominikvitt Fixed in Version => 3.15.x
2018-10-17 17:32 dominikvitt Status resolved => closed